%define upstream_name    Class-XSAccessor
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Generate fast XS accessors without runtime compilation
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
Obsoletes:  perl-Class-XSAccessor-Array
Provides:   perl-Class-XSAccessor-Array

%description
Class::XSAccessor implements fast read, write and read/write accessors in
XS. Additionally, it can provide predicates such as 'has_foo()' for testing
whether the attribute 'foo' is defined in the object. It only works with
objects that are implemented as ordinary hashes. the
Class::XSAccessor::Array manpage implements the same interface for objects
that use arrays for their internal representation.

Since version 0.10, the module can also generate simple constructors
(implemented in XS) for you. Simply supply the 'constructor =>
'constructor_name'' option or the 'constructors => ['new', 'create',
'spawn']' option. These constructors do the equivalent of the following
perl code:

  sub new {
    my $class = shift;
    return bless { @_ }, ref($class)||$class;
  }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README XS
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 528635
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.180.0-1.mga4
+ Revision: 446885
- update to 1.18

* Wed May 29 2013 shlomif <shlomif> 1.160.0-3.mga4
+ Revision: 431354
- Rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 364528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 314864
- update to 1.16

* Wed Aug 29 2012 kharec <kharec> 1.140.0-1.mga3
+ Revision: 285200
- update to 1.14

* Wed May 30 2012 jquelin <jquelin> 1.130.0-2.mga3
+ Revision: 250323
- rebuild for perl 5.16

* Mon Dec 12 2011 jquelin <jquelin> 1.130.0-1.mga2
+ Revision: 180863
- update to 1.13

* Fri Sep 16 2011 takashi <takashi> 1.120.0-2.mga2
+ Revision: 144200
- update to 1.12

* Sat Jun 11 2011 sander85 <sander85> 1.110.0-2.mga2
+ Revision: 103655
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 22180
- cleaning spec file
- imported package perl-Class-XSAccessor

